# dmd.asttypename

Development utility for printing AST nodes by their internal name, instead of as D source code.

#### Authors

Stefan Koch

#### License

Boost License 1.0

Source: asttypename.d

Documentation: https://dlang.org/phobos/dmd_asttypename.html

Coverage: https://codecov.io/gh/dlang/dmd/src/master/src/dmd/asttypename.d

- `astTypeName`

  #### Declaration

  `string `astTypeName`(RootObject `node`);`

  #### Return Value

  the typename of the dynamic ast-`node`-type (this is a development tool, do not use in actual code)